- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Ogre::PassthroughControllerFunction Class Reference

Predefined controller function which just passes through the original source directly to dest. More...

`#include <OgrePredefinedControllers.h>`

Inheritance diagram for Ogre::PassthroughControllerFunction:
[legend]

List of all members.

## Public Member Functions
| PassthroughControllerFunction (bool deltaInput=false)
| Constructor.
Real | calculate (Real source)
| Overriden function.
virtual T | calculate (T sourceValue)=0
## Protected Member Functions
T | getAdjustedInput (T input)
| Gets the input value as adjusted by any delta.
## Protected Attributes
bool | mDeltaInput
| If true, function will add imput values together and wrap at 1.0 before evaluating.
T | mDeltaCount

## Detailed Description

Predefined controller function which just passes through the original source directly to dest.

Definition at line 168 of file OgrePredefinedControllers.h.

## Constructor & Destructor Documentation

Ogre::PassthroughControllerFunction::PassthroughControllerFunction | ( | bool | deltaInput = `false` | ) |

Constructor.

Parameters:

  | sequenceTime | The amount of time in seconds it takes to loop through the whole animation sequence.
  | timeOffset | The offset in seconds at which to start (default is start at 0)

## Member Function Documentation

Real Ogre::PassthroughControllerFunction::calculate | ( | Real | source | ) |

Overriden function.

template<typename T>

T Ogre::ControllerFunction< T >::getAdjustedInput | ( | T | input | ) | `[protected, inherited]`

Gets the input value as adjusted by any delta.

Definition at line 60 of file OgreController.h.

template<typename T>

virtual T Ogre::ControllerFunction< T >::calculate | ( | T | sourceValue | ) | `[pure virtual, inherited]`

## Member Data Documentation

template<typename T>

bool Ogre::ControllerFunction< T >::mDeltaInput`[protected, inherited]`

If true, function will add imput values together and wrap at 1.0 before evaluating.

Definition at line 55 of file OgreController.h.

Referenced by Ogre::ControllerFunction< float >::ControllerFunction(), and Ogre::ControllerFunction< float >::getAdjustedInput().

template<typename T>

T Ogre::ControllerFunction< T >::mDeltaCount`[protected, inherited]`

Definition at line 56 of file OgreController.h.

Referenced by Ogre::ControllerFunction< float >::ControllerFunction(), and Ogre::ControllerFunction< float >::getAdjustedInput().

The documentation for this class was generated from the following file:

- OgrePredefinedControllers.h

Copyright © 2000-2005 by The OGRE Team
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Mon Jun 16 12:51:51 2008